#ifndef _READ_MSRC_H_
#define _READ_MSRC_H_
#include "commStruct.h"
#include "readPixCnfClassify.h"

class ReadSegImg : public ReadPixCnfClassify {
    public:
        ReadSegImg();
        virtual ~ReadSegImg();
        void LoadSquareImages(float *outBuff, int *listId, int lNum, PicInfo *fInfoMap);
        void LoadSquareTypeMat(float *outBuff, int *listId, int lNum, PicInfo *fInfoMap);
        PicInfo *ReadPicsInfoFromTXTCnf(const char *listName, int fIndex, int hw, int *outSize);
        float *ConvertHotMapToType(float *rgbHotPic, int height, int width);
        int *ReadTypeArrayByFieldIndex(const char *listName, int fIndex, int *outLen);
        int ReadPicGroundTrueBox(char *fileName, struct PicGroundTrueBox *iPGBox, char *strNameList);
        struct PicGroundTrueBox *ReadVOCTrainTxt(PicInfo *&retPicInfo, int *fNum, char *bPath, char *txtName, int hwLen, char *strNameList);
        int GetTypeIndexByClassNameStrList(char *strList, char *className);
};

#endif
